/* qlfgmenu.js - fg quick link menu - update 2006.12.22 - update 2006.07.10 - 2006.06.30  */

function view($pg){
 var $loc = 'http://geoffmclane.com/fg/'+$pg;
 window.location.href=$loc;
}

function item( lnk, dsc, fd ) {
 this.lnk = lnk;
 this.dsc = dsc;
 this.fd = fd;
}

function QuickLinks() {
 var n, max;
 var $dir = location.href.substring(0,location.href.lastIndexOf('/')+1);
 var $fn = location.href.substring($dir.length,location.href.length+1);
 if ($fn == '') $fn = 'index.htm';
 var ma = new Array(
  new item( "index.htm", "2006/07/31", "FlightGear Build Center Index" ),
  new item( "fgfs-041.htm", "2007/08/26", "CVS and SVN clients." ),
  new item( "fgfs-040.htm", "2007/08/07", "FG OSG MSVC8 CMake 2" ),
  new item( "paris2007.htm", "2007/06/22", "Paris Air Show 2007" ),
  new item( "fgfs-039.htm", "2007/05/28", "FG OSG MSVC7 and CMake" ),
  new item( "fgfs-038.htm", "2007/05/24", "FG OSG MSVC8 and CMake" ),
  new item( "fgfs-037.htm", "2007/05/19", "FG OSG MSVC8 - SSF" ),
  new item( "fgfs-036.htm", "2007/04/23", "FG OSG MSVC7" ),
  new item( "fgfs-035.htm", "2007/04/21", "FG OSG MSVC6" ),
  new item( "fgfs-034.htm", "2007/03/20", "FG OSG MSVC8 - 3RD" ),
  new item( "fgfs-033.htm", "2006/12/22", "Second OSG build" ),
  new item( "fgfs-032.htm", "2006/10/31", "FlightGear, in a NEW machine - *WIP*" ),
  new item( "fgfs-031.htm", "2006/10/02", "SimGear Sound Question" ),
  new item( "fgfsdown.htm", "2006/07/29", "FlightGear Downloads" ),
  new item( "fgimgvw.htm", "2006/07/29", "FlightGear Image List" ),
  new item( "fgfs-030.htm", "2006/07/28", "FlightGear Build with MSVC8 - 2006-07-28" ),
  new item( "fgfs-029.htm", "2006/07/21", "FlightGear Build using cygwin - July 2006" ),
  new item( "fgfs-027.htm", "2006/06/25", "Building fgrun - June 2006 - MSVC8" ),
  new item( "fgfs-028.htm", "2006/06/20", "Building FlightGear with cygwin - June 2006" ),
  new item( "fgfs-026.htm", "2006/06/07", "Update 6 June 2006 - MSVC8" ),
  new item( "fglive.htm", "2006/05/29", "FGLive CD" ),
  new item( "machines.htm", "2006/05/29", "Machine Details" ),
  new item( "fgfs-024.htm", "2006/04/15", "Building FlightGear with MSVC6" ),
  new item( "fgfs-025.htm", "2006/04/13", "am2dsp auto-make process" ),
  new item( "fgfs-023.htm", "2006/04/09", "FlightGear 0.9.10 with MSVC8" ),
  new item( "fgfs-022.htm", "2006/03/24", "Building FlightGear 0.9.10" ),
  new item( "fgfs-021.htm", "2006/03/23", "FlightGear - 0.9.9 Release" ),
  new item( "fgfs-019.htm", "2005/11/22", "FlightGear and cygwin" ),
  new item( "fgfs-020.htm", "2005/11/22", "FlightGear - Common LINK ERROR" ),
  new item( "fgfs-018.htm", "2005/11/13", "FlightGear 0.9.9-pre3" ),
  new item( "fgfs-017.htm", "2005/10/26", "FlightGear - Late October, 2005" ),
  new item( "fgfs-016.htm", "2005/10/21", "FlightGear - Attacking a Freeze" ),
  new item( "fgfs-015.htm", "2005/10/21", "FlightGear - October, 2005 - continued ..." ),
  new item( "fgfs-err02.htm", "2005/10/20", "Build Log 002" ),
  new item( "fgfs-014.htm", "2005/10/18", "FlightGear - October, 2005" ),
  new item( "fgfs-err01.htm", "2005/10/14", "Build Log 001" ),
  new item( "blender.htm", "2005/03/12", "Blender" ),
  new item( "fgfs-006.htm", "2005/03/09", "FlightGear (6) Atlas/MSVC7" ),
  new item( "fgfs-005.htm", "2005/03/09", "FlightGear 2005 continued" ),
  new item( "concorde.htm", "2005/02/28", "Concorde" ),
  new item( "fgfs-013.htm", "2005/02/24", "Sydney a la FlightGear" ),
  new item( "fgfs-012.htm", "2005/02/10", "FlightGear - Options - FG(12)" ),
  new item( "fgmsvc7.htm", "2005/02/08", "FlightGear Build with MSVC7.1" ),
  new item( "fgmsvc6.htm", "2005/02/08", "FlightGear Build with MSVC6" ),
  new item( "fgfs-011.htm", "2005/02/06", "Am2DSP FG(11)" ),
  new item( "fgfs-010.htm", "2005/02/04", "Some Pilot Jokes" ), 
  new item( "quick_start.htm", "2005/01/31", "Quick Start" ),
  new item( "fgfs-007.htm", "2005/01/30", "FlightGear cont" ),
  new item( "fgfs-009.htm", "2005/01/28", "FGRun with MSVC7 2005/01/28" ),
  new item( "fgfs-008.htm", "2005/01/27", "Debugging FlightGear" ),
  new item( "fgfs-008a.htm", "2005/01/25", "Debugging FlightGear - Note A" ),
  new item( "fgfs-008b.htm", "2005/01/27", "Debugging FlightGear - Note B" ),
  new item( "fgfs-008c.htm", "2005/01/27", "Debugging FlightGear - Note C" ),
  new item( "fgfs-003.htm", "2005/01/24", "FlightGear 2005 continued (3) Atlas" ),
  new item( "fgfs-002.htm", "2005/01/23", "Atlas Map MSVC6 Build - FG(2)" ),
  new item( "fgfs-001.htm", "2005/01/23", "FlightGear UFO Views 2005" ),
  new item( "fgfse001.htm", "2005/01/22", "Atlas" ),
  new item( "index2.htm", "2005/01/21", "Old Index Page" )
  );

 max = ma.length;
 document.writeln('<table class="nombp" width="100%">');
 document.writeln('<tr class="nombp"><td class="nombp" align="center">');
 document.writeln('<form  class="nombp" method="post" name="tops" action="">');
 document.writeln("<b>Quick Links</b> ");
 document.writeln("<select name=\"tops\">");
 var $selnx = 0;
 for( n = 0; n < max; n++ ) {
  if (ma[n].lnk == $fn) {
   n++;
   if( n == max ) n = 0;
   $selnx = n;
   break;
  }
 }
 for( n = 0; n < max; n++ )
 {
  var $opt = "<option value=\"" + ma[n].lnk;
  if( $selnx == n ) {
   $opt += "\" selected>";
  } else {
   $opt += "\">";
  }
  $opt += (ma[n].fd + " (circa " + ma[n].dsc + " - " + ma[n].lnk + ")");
  document.writeln($opt);
  document.writeln("</option>");
 }
 document.writeln("</select>");
 document.write("<input type=\"button\" value=\"Go\" onClick=\"view(document.tops.tops[document.tops.tops.selectedIndex].value)\" name=\"button\">");
 document.writeln(" Now <b>" + $fn + "</b>");
 document.writeln("</form>");
 document.writeln("</td></tr>");
 document.writeln("</table>");
}

function ModifiedDate() {
 var month = new Array("January","February","March","April","May","June","July",
					  "August","September","October","November","December");
 var updated = new Date(document.lastModified);
 var Month   = month[updated.getMonth()];
 var Day     = updated.getDate();
 var Year    = updated.getYear();
 var Hour    = updated.getHours();
 var Min     = updated.getMinutes();
 if( Year < 2000 ) Year += 1900;
 if( Year < 2000 ) Year += 100;  //Netscape 3 and IE 4.7 return 0 instead of 100 for 2000
 if( Hour < 10 )  Hour = "0" + Hour;
 if( Min  < 10 )  Min  = "0" + Min;
 var tm = Month + ' ' + Day +  ', ' + Year + ' at ' + Hour + ':' + Min;
 document.write('<p class="mdt">Last modified: ' + tm + '</p>');
}

/* eof - qlfgmenu.js */
